# {{ ansible_managed }}

[Unit]
Description=CoreMedia {{ caefeeder }} - {{ application_version }}
After=syslog.target network.target

[Service]
Type=simple
User={{ caefeeder }}
Group=coremedia
WorkingDirectory={{ coremedia_home_directory }}/{{ caefeeder }}

UMask=0002
SyslogIdentifier="{{ caefeeder }}"

EnvironmentFile=-/etc/coremedia/{{ caefeeder }}.conf

ExecStartPre=/bin/bash -l -c 'echo "{{ java_home }}/bin/java \
  ${SPRING_BOOT_MEMORY} \
  ${SPRING_BOOT_COREM_HOME} \
  ${SPRING_BOOT_LOGGING} \
  ${SPRING_BOOT_NETWORK} \
  ${SPRING_BOOT_OOM} \
  ${SPRING_BOOT_JMXREMOTE} \
  ${RMI_SERVER_NAME} \
  ${SPRING_BOOT_OPTS} \
  -jar {{ coremedia_home_directory }}/{{ caefeeder }}/{{ caefeeder }}.jar" > /tmp/systemd_{{ caefeeder}}.debug'

ExecStart={{ java_home }}/bin/java $SPRING_BOOT_MEMORY $SPRING_BOOT_COREM_HOME $SPRING_BOOT_LOGGING $SPRING_BOOT_NETWORK $SPRING_BOOT_OOM $SPRING_BOOT_JMXREMOTE $RMI_SERVER_NAME $SPRING_BOOT_OPTS -jar {{ coremedia_home_directory }}/{{ caefeeder }}/{{ caefeeder }}.jar

ExecStartPre={{ coremedia_home_directory }}/{{ caefeeder }}/bin/pre-start-check.sh
# ExecStartPost={{ coremedia_home_directory }}/{{ caefeeder }}/bin/post-start-check.sh

[Install]
WantedBy=multi-user.target
